package de.ivu.elect.business.lokalisierung.control;

import de.ivu.elect.business.lokalisierung.boundary.LokalisierungSearchParameters;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamicform.AbstractBooleanProperty;


public class LokalisierungSchluesselMitPunktAmEndeAnzeigenProperty extends AbstractBooleanProperty {

  private final LokalisierungSearchParameters lokalisierungSearchParameters;

  private final Messages messages;

  public LokalisierungSchluesselMitPunktAmEndeAnzeigenProperty(LokalisierungSearchParameters lokalisierungSearchParameters, Messages messages) {
    this.lokalisierungSearchParameters = lokalisierungSearchParameters;
    this.messages = messages;
  }


  @Override
  public Boolean getValue() {
    return lokalisierungSearchParameters.isSchluesselMitPunktAmEndeAnzeigen();
  }

  @Override
  public void setValue(Boolean aBoolean) {
    if (aBoolean==null){
      lokalisierungSearchParameters.setSchluesselMitPunktAmEndeAnzeigen(false);
    } else {
      lokalisierungSearchParameters.setSchluesselMitPunktAmEndeAnzeigen(aBoolean);
    }
  }

  @Override
  public String getDefaultLabel() {
    return messages.getMessageForMessageKey("lokalisierung.suche.schluessel.mit.punkt.am.ende.anzeigen");
  }

  @Override
  public boolean getDefaultRequired() {
    return false;
  }
}
